Subject: RE: [PATCH 1/1] gpg-interface: add minTrustLevel as a configuration option

From: "Randall S. Becker" <[email-masked]>
Date: Tue, 24 Dec 2019 09:20:00 -0500

On December 24, 2019 6:31 AM, Hans Jerry Illikainen wrote:
> To: Randall S. Becker <[email-masked]>; 'SZEDER Gábor'
> <[email-masked]>
> Cc: [email-masked]
> Subject: RE: [PATCH 1/1] gpg-interface: add minTrustLevel as a configuration
> option
> 
> On Mon, Dec 23 2019, Randall S. Becker wrote:
> > Side question: are there any tests running with alternate GPG
> > packages? I have a platform where the official GPG itself is not
> > available, so am looking for alternatives for that community.
> 
> Do you mean non-standard builds or forks of GnuPG, or alternative
> implementations of PGP?

I am specially looking for alterative implementations of PGP, not forks of GnuPG. GnuPG v2 introduced some dependencies that are not available on a few platforms that I support.

> As it stands, the test suite is hardcoded to use gpg and gpgsm (see e.g.
> t/lib-gpg.sh).  For normal use, the gpg.program and gpg.<format>.program
> config options can be used to override the programs to use.  However, any
> alternative implementation would have to mimic the behavior of GnuPG (see
> gpg-interface.c -- a number of hardcoded arguments are passed in
> verify_signed_buffer() and sign_buffer(), and the output from various
> operations are GnuPG-specific.)

Thanks,
Randall